Ryzehosting
  1. webspace
Ryzehosting
  • account
    • redeem voucher
      POST
    • save address
      POST
    • affiliate stats
      GET
    • transactions
      GET
    • get address
      GET
    • dashboard
      GET
    • balance
      GET
    • session
      GET
  • domain
    • whois privacy update
      POST
    • whois privacy get
      GET
    • contact update
      POST
    • nameservers
      POST
    • dns-records
      GET
    • contact get
      GET
    • dns update
      POST
    • authcode
      POST
    • pricelist
      GET
    • details
      GET
    • check
      POST
    • order
      POST
    • list
      GET
  • server
    • ipaddresses
    • password
    • hardware
    • reinstall
    • rrddata
    • cancel
    • status
    • prices
    • config
    • renew
    • power
    • hosts
    • order
    • vnc
    • list
    • ptr
    • os
  • webspace
    • packages
      GET
    • details
      GET
    • renew
      POST
    • status
      GET
    • order
      POST
    • list
      GET
  • ryzectrl
    • packages
    • details
    • renew
    • order
    • list
  • ticket
    • messages
    • message
    • details
    • create
    • open
    • close
    • list
  • tools
    • Create UUID
    • Iban Verify
    • Network
    • NoVNC
    • Whois
  • Schemas
    • Unauthorized
    • Success
  1. webspace

order

POST
webspace/order

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://dash.ryzehosting.com/api/v2/webspace/order' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "domainName": "", //leer für Subdomain für uns
  "pack_uuid": "019b1f00-82f3-8216-a831-5c365bebef6b",
  "duration": 30,
  "tos": false,
  "cancellation": false,
  "discount_code": ""
}'
Response Response Example
200 - Success
{
    "response": "Webspace order created successfully",
    "state": "success",
    "code": 200,
    "data": {
        "order_id": "019b5093-8d2d-8212-b290-c5ae438f8d57",
        "domain_name": "example2.com",
        "is_subdomain": false,
        "package": {
            "uuid": "019b1f00-82f3-8216-a831-5c365bebef6b",
            "name": "PLESK01",
            "type": "Plesk"
        },
        "duration": 30,
        "pricings": {
            "year": 12,
            "month": 1,
            "hour": 0.0014
        }
    }
}
Modified at 2025-12-30 03:58:07
Previous
status
Next
list
Built with